FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeReferenceSection, interface: INodeReferenceOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeReferenceSection.INodeReference`, `FsImageProto.INodeReferenceSection.INodeReference.Builder`

Enclosing class:
  FsImageProto.INodeReferenceSection

public static interface FsImageProto.INodeReferenceSection.INodeReferenceOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDstSnapshotId()`
  recorded in DstReference
  `int`
  `getLastSnapshotId()`
  recorded in WithName
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getName()`
  local name recorded in WithName
  `long`
  `getReferredId()`
  id of the referred inode
  `boolean`
  `hasDstSnapshotId()`
  recorded in DstReference
  `boolean`
  `hasLastSnapshotId()`
  recorded in WithName
  `boolean`
  `hasName()`
  local name recorded in WithName
  `boolean`
  `hasReferredId()`
  id of the referred inode

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasReferredId

    boolean hasReferredId()

         id of the referred inode

    `optional uint64 referredId = 1;`
    Returns:
      Whether the referredId field is set.

  - ### getReferredId

    long getReferredId()

         id of the referred inode

    `optional uint64 referredId = 1;`
    Returns:
      The referredId.

  - ### hasName

    boolean hasName()

         local name recorded in WithName

    `optional bytes name = 2;`
    Returns:
      Whether the name field is set.

  - ### getName

    org.apache.hadoop.thirdparty.protobuf.ByteString getName()

         local name recorded in WithName

    `optional bytes name = 2;`
    Returns:
      The name.

  - ### hasDstSnapshotId

    boolean hasDstSnapshotId()

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Returns:
      Whether the dstSnapshotId field is set.

  - ### getDstSnapshotId

    int getDstSnapshotId()

         recorded in DstReference

    `optional uint32 dstSnapshotId = 3;`
    Returns:
      The dstSnapshotId.

  - ### hasLastSnapshotId

    boolean hasLastSnapshotId()

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Returns:
      Whether the lastSnapshotId field is set.

  - ### getLastSnapshotId

    int getLastSnapshotId()

         recorded in WithName

    `optional uint32 lastSnapshotId = 4;`
    Returns:
      The lastSnapshotId.